aboutsummaryrefslogtreecommitdiff
path: root/old-tests/test.sh
diff options
context:
space:
mode:
Diffstat (limited to 'old-tests/test.sh')
-rwxr-xr-xold-tests/test.sh33
1 files changed, 33 insertions, 0 deletions
diff --git a/old-tests/test.sh b/old-tests/test.sh
new file mode 100755
index 0000000..de93322
--- /dev/null
+++ b/old-tests/test.sh
@@ -0,0 +1,33 @@
+#! /usr/bin/env bash
+
+cur_dir="`pwd`"
+trap 'cd "$cur_dir"' EXIT
+
+export PATH=$cur_dir/../build2:$PATH
+
+function test ()
+{
+ echo "testing $1"
+ cd "$cur_dir/$1"
+ ./test.sh
+}
+
+test "amalgam/unnamed"
+test "escaping"
+test "eval"
+test "if-else"
+test "keyword"
+test "names"
+test "pairs"
+test "quote"
+test "scope"
+test "target/out-qualified"
+test "variable/dir-path"
+test "variable/expansion"
+test "variable/null"
+test "variable/override"
+test "variable/prepend"
+test "variable/qualified"
+test "variable/representation"
+test "variable/type"
+test "variable/type-pattern-append"